implement methods in TempoMap for walking a given distance along a tempo map and...
[ardour.git] / libs / taglib / tests / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # KDE tags expanded automatically by am_edit - $Revision: 483858 $ 
3 # @configure_input@
4
5 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
6 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 build_triplet = @build@
34 host_triplet = @host@
35 target_triplet = @target@
36 @build_tests_TRUE@TESTS = test_runner$(EXEEXT)
37 @build_tests_TRUE@check_PROGRAMS = test_runner$(EXEEXT)
38 subdir = tests
39 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
42         $(top_srcdir)/configure.in
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
46 CONFIG_HEADER = $(top_builddir)/config.h
47 CONFIG_CLEAN_FILES =
48 am_test_runner_OBJECTS = main.$(OBJEXT) test_list.$(OBJEXT) \
49         test_map.$(OBJEXT) test_mpeg.$(OBJEXT) \
50         test_synchdata.$(OBJEXT) test_trueaudio.$(OBJEXT) \
51         test_bytevector.$(OBJEXT) test_string.$(OBJEXT) \
52         test_fileref.$(OBJEXT) test_id3v1.$(OBJEXT) \
53         test_id3v2.$(OBJEXT)
54 #>- test_runner_OBJECTS = $(am_test_runner_OBJECTS)
55 #>+ 9
56 test_runner_final_OBJECTS = test_runner.all_cpp.o 
57 test_runner_nofinal_OBJECTS = main.$(OBJEXT) test_list.$(OBJEXT) \
58         test_map.$(OBJEXT) test_mpeg.$(OBJEXT) \
59         test_synchdata.$(OBJEXT) test_trueaudio.$(OBJEXT) \
60         test_bytevector.$(OBJEXT) test_string.$(OBJEXT) \
61         test_fileref.$(OBJEXT) test_id3v1.$(OBJEXT) \
62         test_id3v2.$(OBJEXT)
63 @KDE_USE_FINAL_FALSE@test_runner_OBJECTS = $(test_runner_nofinal_OBJECTS)
64 @KDE_USE_FINAL_TRUE@test_runner_OBJECTS = $(test_runner_final_OBJECTS)
65 test_runner_LDADD = $(LDADD)
66 @build_tests_TRUE@test_runner_DEPENDENCIES = ../taglib/libtag.la
67 DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
68 depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
69 am__depfiles_maybe = depfiles
70 #>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
71 #>-     $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
72 #>+ 2
73 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
74         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
75 #>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
76 #>-     --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
77 #>-     $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
78 #>+ 3
79 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
80         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
81         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
82 CXXLD = $(CXX)
83 #>- CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
84 #>-     --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
85 #>-     $(LDFLAGS) -o $@
86 #>+ 3
87 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
88         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) \
89         $(LDFLAGS) -o $@
90 SOURCES = $(test_runner_SOURCES)
91 DIST_SOURCES = $(test_runner_SOURCES)
92 ETAGS = etags
93 CTAGS = ctags
94 #>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
95 #>+ 1
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
97 ACLOCAL = @ACLOCAL@
98 AMTAR = @AMTAR@
99 AR = @AR@
100 AUTOCONF = @AUTOCONF@
101 AUTODIRS = @AUTODIRS@
102 AUTOHEADER = @AUTOHEADER@
103 AUTOMAKE = @AUTOMAKE@
104 AWK = @AWK@
105 CC = @CC@
106 CCDEPMODE = @CCDEPMODE@
107 CFLAGS = @CFLAGS@
108 CONF_FILES = @CONF_FILES@
109 CPP = @CPP@
110 CPPFLAGS = @CPPFLAGS@
111 CXX = @CXX@
112 CXXCPP = @CXXCPP@
113 CXXDEPMODE = @CXXDEPMODE@
114 CXXFLAGS = @CXXFLAGS@
115 CYGPATH_W = @CYGPATH_W@
116 DEFS = @DEFS@
117 DEPDIR = @DEPDIR@
118 ECHO = @ECHO@
119 ECHO_C = @ECHO_C@
120 ECHO_N = @ECHO_N@
121 ECHO_T = @ECHO_T@
122 EGREP = @EGREP@
123 ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
124 EXEEXT = @EXEEXT@
125 F77 = @F77@
126 FFLAGS = @FFLAGS@
127 GREP = @GREP@
128 HAVE_GCC_VISIBILITY = @HAVE_GCC_VISIBILITY@
129 INSTALL = @INSTALL@
130 INSTALL_DATA = @INSTALL_DATA@
131 INSTALL_PROGRAM = @INSTALL_PROGRAM@
132 INSTALL_SCRIPT = @INSTALL_SCRIPT@
133 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
134 KDE_CHECK_PLUGIN = @KDE_CHECK_PLUGIN@
135 KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
136 KDE_PLUGIN = @KDE_PLUGIN@
137 KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
138 KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
139 KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
140 KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
141 KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
142 KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
143 LDFLAGS = @LDFLAGS@
144 LDFLAGS_AS_NEEDED = @LDFLAGS_AS_NEEDED@
145 LDFLAGS_NEW_DTAGS = @LDFLAGS_NEW_DTAGS@
146 LIBOBJS = @LIBOBJS@
147 LIBS = @LIBS@
148 LIBTOOL = @LIBTOOL@
149 LN_S = @LN_S@
150 LTLIBOBJS = @LTLIBOBJS@
151 MAKEINFO = @MAKEINFO@
152 MKDIR_P = @MKDIR_P@
153 NOOPT_CFLAGS = @NOOPT_CFLAGS@
154 NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_VERSION = @PACKAGE_VERSION@
162 PATH_SEPARATOR = @PATH_SEPARATOR@
163 RANLIB = @RANLIB@
164 SET_MAKE = @SET_MAKE@
165 SHELL = @SHELL@
166 STRIP = @STRIP@
167 TOPSUBDIRS = @TOPSUBDIRS@
168 USE_EXCEPTIONS = @USE_EXCEPTIONS@
169 USE_RTTI = @USE_RTTI@
170 VERSION = @VERSION@
171 WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
172 abs_builddir = @abs_builddir@
173 abs_srcdir = @abs_srcdir@
174 abs_top_builddir = @abs_top_builddir@
175 abs_top_srcdir = @abs_top_srcdir@
176 ac_ct_CC = @ac_ct_CC@
177 ac_ct_CXX = @ac_ct_CXX@
178 ac_ct_F77 = @ac_ct_F77@
179 all_includes = @all_includes@
180 all_libraries = @all_libraries@
181 am__include = @am__include@
182 am__leading_dot = @am__leading_dot@
183 am__quote = @am__quote@
184 am__tar = @am__tar@
185 am__untar = @am__untar@
186 bindir = @bindir@
187 build = @build@
188 build_alias = @build_alias@
189 build_cpu = @build_cpu@
190 build_os = @build_os@
191 build_vendor = @build_vendor@
192 builddir = @builddir@
193 datadir = @datadir@
194 datarootdir = @datarootdir@
195 docdir = @docdir@
196 dvidir = @dvidir@
197 exec_prefix = @exec_prefix@
198 host = @host@
199 host_alias = @host_alias@
200 host_cpu = @host_cpu@
201 host_os = @host_os@
202 host_vendor = @host_vendor@
203 htmldir = @htmldir@
204 includedir = @includedir@
205 infodir = @infodir@
206 install_sh = @install_sh@
207 libdir = @libdir@
208 libexecdir = @libexecdir@
209 localedir = @localedir@
210 localstatedir = @localstatedir@
211 mandir = @mandir@
212 mkdir_p = @mkdir_p@
213 oldincludedir = @oldincludedir@
214 pdfdir = @pdfdir@
215 prefix = @prefix@
216 program_transform_name = @program_transform_name@
217 psdir = @psdir@
218 sbindir = @sbindir@
219 sharedstatedir = @sharedstatedir@
220 srcdir = @srcdir@
221 sysconfdir = @sysconfdir@
222 target = @target@
223 target_alias = @target_alias@
224 target_cpu = @target_cpu@
225 target_os = @target_os@
226 target_vendor = @target_vendor@
227 top_builddir = @top_builddir@
228 top_srcdir = @top_srcdir@
229 INCLUDES = \
230         -I$(top_srcdir)/taglib\
231         -I$(top_srcdir)/taglib/toolkit \
232         -I$(top_srcdir)/taglib/trueaudio \
233         -I$(top_srcdir)/taglib/mpeg \
234         -I$(top_srcdir)/taglib/mpeg/id3v1 \
235         -I$(top_srcdir)/taglib/mpeg/id3v2 \
236         -I$(top_srcdir)/taglib/mpeg/id3v2/frames
237
238 test_runner_SOURCES = \
239         main.cpp \
240         test_list.cpp \
241         test_map.cpp \
242         test_mpeg.cpp \
243         test_synchdata.cpp \
244         test_trueaudio.cpp \
245         test_bytevector.cpp \
246         test_string.cpp \
247         test_fileref.cpp \
248         test_id3v1.cpp \
249         test_id3v2.cpp
250
251 @build_tests_TRUE@LDADD = ../taglib/libtag.la -lcppunit
252 #>- all: all-am
253 #>+ 1
254 all: docs-am  all-am
255
256 .SUFFIXES:
257 .SUFFIXES: .cpp .lo .o .obj
258 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
259 #>-     @for dep in $?; do \
260 #>-       case '$(am__configure_deps)' in \
261 #>-         *$$dep*) \
262 #>-           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
263 #>-             && exit 0; \
264 #>-           exit 1;; \
265 #>-       esac; \
266 #>-     done; \
267 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
268 #>-     cd $(top_srcdir) && \
269 #>-       $(AUTOMAKE) --gnu  tests/Makefile
270 #>+ 12
271         @for dep in $?; do \
272           case '$(am__configure_deps)' in \
273             *$$dep*) \
274               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
275                 && exit 0; \
276               exit 1;; \
277           esac; \
278         done; \
279         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
280         cd $(top_srcdir) && \
281           $(AUTOMAKE) --gnu  tests/Makefile
282         cd $(top_srcdir) && perl admin/am_edit tests/Makefile.in
283 .PRECIOUS: Makefile
284 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
285         @case '$?' in \
286           *config.status*) \
287             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
288           *) \
289             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
290             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
291         esac;
292
293 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
294         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
295
296 $(top_srcdir)/configure:  $(am__configure_deps)
297         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
298 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
299         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
300
301 clean-checkPROGRAMS:
302         @list='$(check_PROGRAMS)'; for p in $$list; do \
303           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
304           echo " rm -f $$p $$f"; \
305           rm -f $$p $$f ; \
306         done
307 test_runner$(EXEEXT): $(test_runner_OBJECTS) $(test_runner_DEPENDENCIES) 
308         @rm -f test_runner$(EXEEXT)
309         $(CXXLINK) $(test_runner_OBJECTS) $(test_runner_LDADD) $(LIBS)
310
311 mostlyclean-compile:
312         -rm -f *.$(OBJEXT)
313
314 distclean-compile:
315         -rm -f *.tab.c
316
317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bytevector.Po@am__quote@
319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_fileref.Po@am__quote@
320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_id3v1.Po@am__quote@
321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_id3v2.Po@am__quote@
322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_list.Po@am__quote@
323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_map.Po@am__quote@
324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mpeg.Po@am__quote@
325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_string.Po@am__quote@
326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_synchdata.Po@am__quote@
327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_trueaudio.Po@am__quote@
328
329 .cpp.o:
330 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
331 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
332 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
333 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
334 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
335
336 .cpp.obj:
337 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
338 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
339 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
340 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
342
343 .cpp.lo:
344 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
345 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
346 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
347 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
348 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
349
350 mostlyclean-libtool:
351         -rm -f *.lo
352
353 clean-libtool:
354         -rm -rf .libs _libs
355
356 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
357         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
358         unique=`for i in $$list; do \
359             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360           done | \
361           $(AWK) '    { files[$$0] = 1; } \
362                END { for (i in files) print i; }'`; \
363         mkid -fID $$unique
364 tags: TAGS
365
366 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
367                 $(TAGS_FILES) $(LISP)
368         tags=; \
369         here=`pwd`; \
370         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
371         unique=`for i in $$list; do \
372             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
373           done | \
374           $(AWK) '    { files[$$0] = 1; } \
375                END { for (i in files) print i; }'`; \
376         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
377           test -n "$$unique" || unique=$$empty_fix; \
378           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
379             $$tags $$unique; \
380         fi
381 ctags: CTAGS
382 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
383                 $(TAGS_FILES) $(LISP)
384         tags=; \
385         here=`pwd`; \
386         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
387         unique=`for i in $$list; do \
388             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
389           done | \
390           $(AWK) '    { files[$$0] = 1; } \
391                END { for (i in files) print i; }'`; \
392         test -z "$(CTAGS_ARGS)$$tags$$unique" \
393           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
394              $$tags $$unique
395
396 GTAGS:
397         here=`$(am__cd) $(top_builddir) && pwd` \
398           && cd $(top_srcdir) \
399           && gtags -i $(GTAGS_ARGS) $$here
400
401 distclean-tags:
402         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
403
404 check-TESTS: $(TESTS)
405         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
406         srcdir=$(srcdir); export srcdir; \
407         list=' $(TESTS) '; \
408         if test -n "$$list"; then \
409           for tst in $$list; do \
410             if test -f ./$$tst; then dir=./; \
411             elif test -f $$tst; then dir=; \
412             else dir="$(srcdir)/"; fi; \
413             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
414               all=`expr $$all + 1`; \
415               case " $(XFAIL_TESTS) " in \
416               *$$ws$$tst$$ws*) \
417                 xpass=`expr $$xpass + 1`; \
418                 failed=`expr $$failed + 1`; \
419                 echo "XPASS: $$tst"; \
420               ;; \
421               *) \
422                 echo "PASS: $$tst"; \
423               ;; \
424               esac; \
425             elif test $$? -ne 77; then \
426               all=`expr $$all + 1`; \
427               case " $(XFAIL_TESTS) " in \
428               *$$ws$$tst$$ws*) \
429                 xfail=`expr $$xfail + 1`; \
430                 echo "XFAIL: $$tst"; \
431               ;; \
432               *) \
433                 failed=`expr $$failed + 1`; \
434                 echo "FAIL: $$tst"; \
435               ;; \
436               esac; \
437             else \
438               skip=`expr $$skip + 1`; \
439               echo "SKIP: $$tst"; \
440             fi; \
441           done; \
442           if test "$$failed" -eq 0; then \
443             if test "$$xfail" -eq 0; then \
444               banner="All $$all tests passed"; \
445             else \
446               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
447             fi; \
448           else \
449             if test "$$xpass" -eq 0; then \
450               banner="$$failed of $$all tests failed"; \
451             else \
452               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
453             fi; \
454           fi; \
455           dashes="$$banner"; \
456           skipped=""; \
457           if test "$$skip" -ne 0; then \
458             skipped="($$skip tests were not run)"; \
459             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
460               dashes="$$skipped"; \
461           fi; \
462           report=""; \
463           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
464             report="Please report to $(PACKAGE_BUGREPORT)"; \
465             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
466               dashes="$$report"; \
467           fi; \
468           dashes=`echo "$$dashes" | sed s/./=/g`; \
469           echo "$$dashes"; \
470           echo "$$banner"; \
471           test -z "$$skipped" || echo "$$skipped"; \
472           test -z "$$report" || echo "$$report"; \
473           echo "$$dashes"; \
474           test "$$failed" -eq 0; \
475         else :; fi
476
477 distdir: $(DISTFILES)
478         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
479         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
480         list='$(DISTFILES)'; \
481           dist_files=`for file in $$list; do echo $$file; done | \
482           sed -e "s|^$$srcdirstrip/||;t" \
483               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
484         case $$dist_files in \
485           */*) $(MKDIR_P) `echo "$$dist_files" | \
486                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
487                            sort -u` ;; \
488         esac; \
489         for file in $$dist_files; do \
490           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
491           if test -d $$d/$$file; then \
492             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
493             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
494               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
495             fi; \
496             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
497           else \
498             test -f $(distdir)/$$file \
499             || cp -p $$d/$$file $(distdir)/$$file \
500             || exit 1; \
501           fi; \
502         done
503 check-am: all-am
504         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
505         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
506 check: check-am
507 all-am: Makefile
508 installdirs:
509 install: install-am
510 install-exec: install-exec-am
511 install-data: install-data-am
512 uninstall: uninstall-am
513
514 install-am: all-am
515         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
516
517 installcheck: installcheck-am
518 install-strip:
519         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
520           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
521           `test -z '$(STRIP)' || \
522             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
523 mostlyclean-generic:
524
525 clean-generic:
526
527 distclean-generic:
528         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
529
530 maintainer-clean-generic:
531         @echo "This command is intended for maintainers to use"
532         @echo "it deletes files that may require special tools to rebuild."
533 #>- clean: clean-am
534 #>+ 1
535 clean: kde-rpo-clean  clean-am
536
537 #>- clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
538 #>-     mostlyclean-am
539 #>+ 2
540 clean-am: clean-bcheck clean-final  clean-checkPROGRAMS clean-generic clean-libtool \
541         mostlyclean-am
542
543 distclean: distclean-am
544         -rm -rf ./$(DEPDIR)
545         -rm -f Makefile
546 distclean-am: clean-am distclean-compile distclean-generic \
547         distclean-tags
548
549 dvi: dvi-am
550
551 dvi-am:
552
553 html: html-am
554
555 info: info-am
556
557 info-am:
558
559 install-data-am:
560
561 install-dvi: install-dvi-am
562
563 install-exec-am:
564
565 install-html: install-html-am
566
567 install-info: install-info-am
568
569 install-man:
570
571 install-pdf: install-pdf-am
572
573 install-ps: install-ps-am
574
575 installcheck-am:
576
577 maintainer-clean: maintainer-clean-am
578         -rm -rf ./$(DEPDIR)
579         -rm -f Makefile
580 maintainer-clean-am: distclean-am maintainer-clean-generic
581
582 mostlyclean: mostlyclean-am
583
584 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
585         mostlyclean-libtool
586
587 pdf: pdf-am
588
589 pdf-am:
590
591 ps: ps-am
592
593 ps-am:
594
595 uninstall-am:
596
597 .MAKE: install-am install-strip
598
599 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
600         clean-checkPROGRAMS clean-generic clean-libtool ctags \
601         distclean distclean-compile distclean-generic \
602         distclean-libtool distclean-tags distdir dvi dvi-am html \
603         html-am info info-am install install-am install-data \
604         install-data-am install-dvi install-dvi-am install-exec \
605         install-exec-am install-html install-html-am install-info \
606         install-info-am install-man install-pdf install-pdf-am \
607         install-ps install-ps-am install-strip installcheck \
608         installcheck-am installdirs maintainer-clean \
609         maintainer-clean-generic mostlyclean mostlyclean-compile \
610         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
611         tags uninstall uninstall-am
612
613 # Tell versions [3.59,3.63) of GNU make to not export all variables.
614 # Otherwise a system limit (for SysV at least) may be exceeded.
615 .NOEXPORT:
616
617 #>+ 2
618 KDE_DIST=utils.h Makefile.in CMakeLists.txt Makefile.am 
619
620 #>+ 2
621 docs-am:
622
623 #>+ 15
624 force-reedit:
625                 @for dep in $?; do \
626           case '$(am__configure_deps)' in \
627             *$$dep*) \
628               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
629                 && exit 0; \
630               exit 1;; \
631           esac; \
632         done; \
633         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
634         cd $(top_srcdir) && \
635           $(AUTOMAKE) --gnu  tests/Makefile
636         cd $(top_srcdir) && perl admin/am_edit tests/Makefile.in
637
638
639 #>+ 21
640 clean-bcheck: 
641         rm -f *.bchecktest.cc *.bchecktest.cc.class a.out
642
643 bcheck: bcheck-am
644
645 bcheck-am:
646         @for i in ; do \
647             if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
648                 echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
649                 echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
650                 echo "$$i"; \
651                 if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
652                     rm -f $$i.bchecktest.cc; exit 1; \
653                 fi ; \
654                 echo "" >> $$i.bchecktest.cc.class; \
655                 perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
656                 rm -f a.out; \
657             fi ; \
658         done
659
660
661 #>+ 11
662 test_runner.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/main.cpp $(srcdir)/test_list.cpp $(srcdir)/test_map.cpp $(srcdir)/test_mpeg.cpp $(srcdir)/test_synchdata.cpp $(srcdir)/test_trueaudio.cpp $(srcdir)/test_bytevector.cpp $(srcdir)/test_string.cpp $(srcdir)/test_fileref.cpp $(srcdir)/test_id3v1.cpp $(srcdir)/test_id3v2.cpp 
663         @echo 'creating test_runner.all_cpp.cpp ...'; \
664         rm -f test_runner.all_cpp.files test_runner.all_cpp.final; \
665         echo "#define KDE_USE_FINAL 1" >> test_runner.all_cpp.final; \
666         for file in main.cpp test_list.cpp test_map.cpp test_mpeg.cpp test_synchdata.cpp test_trueaudio.cpp test_bytevector.cpp test_string.cpp test_fileref.cpp test_id3v1.cpp test_id3v2.cpp ; do \
667           echo "#include \"$$file\"" >> test_runner.all_cpp.files; \
668           test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> test_runner.all_cpp.final; \
669         done; \
670         cat test_runner.all_cpp.final test_runner.all_cpp.files > test_runner.all_cpp.cpp; \
671         rm -f test_runner.all_cpp.final test_runner.all_cpp.files
672
673 #>+ 3
674 clean-final:
675         -rm -f test_runner.all_cpp.cpp
676
677 #>+ 3
678 final:
679         $(MAKE) test_runner_OBJECTS="$(test_runner_final_OBJECTS)" all-am
680
681 #>+ 3
682 final-install:
683         $(MAKE) test_runner_OBJECTS="$(test_runner_final_OBJECTS)" install-am
684
685 #>+ 3
686 no-final:
687         $(MAKE) test_runner_OBJECTS="$(test_runner_nofinal_OBJECTS)" all-am
688
689 #>+ 3
690 no-final-install:
691         $(MAKE) test_runner_OBJECTS="$(test_runner_nofinal_OBJECTS)" install-am
692
693 #>+ 3
694 kde-rpo-clean:
695         -rm -f *.rpo
696
697 #>+ 3
698 nmcheck: 
699 nmcheck-am: nmcheck